Bug 1158247 - [docs] --run-data-migrator options change in Installation Guide
Summary: [docs] --run-data-migrator options change in Installation Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: JON 3.3.1
Assignee: Jared MORGAN
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1082805
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-28 23:36 UTC by Jared MORGAN
Modified: 2018-12-05 19:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1082805
Environment:
[Install_Guide] Turned out to be minor fixes after the 3.3.0 Install issues were rolled-in. Minor changes only.
Last Closed: 2015-03-03 09:55:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 772973 None None None Never

Comment 1 Jared MORGAN 2014-10-28 23:37:55 UTC
> After a discussion with Larry, the initial feature will not be fixed as is.
> I tried a couple of permutations to fix the original code but all of them
> were clunky for the user and made the code brittle.
> 
> 
> Here is the plan that was agreed with Larry:
> 
> 1) Remove all the options form the --run-data-migration argument. The only
> possible way to use that argument is to do the migration right away. For a
> fine control over the migration process, users should use the actual
> data-migration tool.
> 
> 2) Update the documentation with the new behaviour of the upgrade arguments
> 
> 3) Clarify the documentation about the effects of the data migration.
> Currently it is wrong about losing all the data from C* if run at a later
> time.

So I need to remove the suggestions that the migration can be re-run later from both spots in the Installation Guide below. And specifically delete the info about monitoring data being lost.

[Upgrading the JBoss ON Server and Components(https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html/Installation_Guide/managing-servers.html#upgrade-proc)
    It is possible to migrate the historical monitoring data by running the upgrade with the --run-data-migrator later. However, any new monitoring data collected between the server upgrade and the data migration will be lost. 
    
[The rhqctl Control Script](https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html/Admin_and_Config/control-scripts.html)
    Upgrades all JBoss ON services. This can be rerun to migrate historical metric data after a server migration.

These are small changes. However due to the work remaining for BZ release notes, I'm going to have to push this to JON Async and do this along with the other tasks.

Comment 3 Jared MORGAN 2015-02-17 21:24:22 UTC
This fix is now live in the docs.

Comment 4 Filip Brychta 2015-02-26 14:40:51 UTC
What was actually changed? Should the fix be visible in doc for JON 3.2 as well?

Comment 5 Jared MORGAN 2015-02-27 00:49:29 UTC
(In reply to Filip Brychta from comment #4)
> What was actually changed? Should the fix be visible in doc for JON 3.2 as
> well?

It turned out to be minor grammar changes after the rushed update to 3.3.0 upgrade procedures on GA day. 

This should only be visible in the 3.3 docs set.


Note You need to log in before you can comment on or make changes to this bug.